<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
if ( ! class_exists( 'BESTBUG_CRYPTO_EMBED' ) ) {
	/**
	 * BESTBUG_CRYPTO_EMBED Class
	 *
	 * @since	1.0
	 */
	class BESTBUG_CRYPTO_EMBED {


		/**
		 * Constructor
		 *
		 * @return	void
		 * @since	1.0
		 */
		function __construct() {
			add_action( 'init' , array( $this, 'embed') );
		}

		public function init() {
			
			$this->embed();
			// add_action( 'wp_ajax_' . BESTBUG_CRYPTO_EMBED_EXCHANGE_RATES, array( $this, 'bbcrypto_exchange_rates') );
			// add_action( 'wp_ajax_nopriv_' . BESTBUG_CRYPTO_EMBED_EXCHANGE_RATES, array( $this, 'bbcrypto_exchange_rates') );
			
        }
		
		public function embed(){
			if(isset($_GET['crypto']) && !empty($_GET['crypto'])) {
				?>
				<!doctype html>
				<html lang="en">
				<head>
				<meta charset="UTF-8">
				<title>Website Widget</title>
				<style>
					.up{
						color:#3cd483;
					}
					.down{
						color:#d14836;
					}
					</style>
				</head>
				<body style="margin:0;">
				<div style="border: 2px solid #ddd;border-radius: 10px;font-family: 'Helvetica Neue',Helvetica,Arial,sans-serif;min-width: 285px;background: #fff;">
				<div>
				<div style="float: right;width: 67%;border: 0px solid #000;text-align: left;padding: 5px 0px;line-height: 30px;">
				<span style="font-size: 18px;">
				<a target="_blank" href="https://crypto.nexthon.com/coin/BTC" style="text-decoration: none;color: rgb(71, 111, 199);">Bitcoin (BTC)</a>
				</span>
				<br>
				<span style="font-size: 16px;"><span id="mainPrice">30,076.883</span> AED
				<span class="p-change down">(<i class="ti-arrow-down"></i>-0.24%)</span>
				</div>
				<div style="text-align: center;padding: 5px 0px;width: 33%;">
				<img src="https://crypto.nexthon.com/assets/images/coins/btc.png">
				</div>
				</div>
				<div style="border-top: 1px solid #ddd;clear: both;display: table;width: 100%;">
				<div style="text-align: center;width: 33%;font-size: 12px;padding: 12px 0;border-right: 1px solid #ddd;line-height: 1.25em;display: table-cell;">Rank <br><br>
				<span style="font-size: 17px;">1</span>
				</div>
				<div style="text-align: center;width: 33%;font-size: 12px;padding: 12px 0;border-right: 1px solid #ddd;line-height: 1.25em;display: table-cell;">MARKET CAP <br><br>
				<span style="font-size: 14px;">د.إ <span class="capChange">509.01 B</span><span style="font-size: 9px;"></span></span>
				</div>
				<div style="text-align: center;width: 33%;font-size: 12px;padding: 12px 0;line-height: 1.25em;display: table-cell;">VOLUME (24H) <br><br>
				<span style="font-size: 14px;">د.إ <span class="volChange">3.53 B</span> <span style="font-size: 9px;"></span></span>
				</div>
				</div>
				<div style="border-top: 1px solid #ddd;text-align: center;clear: both;font-size: 10px;font-style: italic;padding: 5px 0;">
				<a target="_blank" href="https://crypto.nexthon.com/" style="text-decoration: none; color: rgb(71, 111, 199);">Powered by Crypto Currencies Live</a>
				</div>
				</div>
				<script type="application/javascript" src="https://crypto.nexthon.com/assets/jquery/jquery.min.js"></script>
				<script src="https://crypto.nexthon.com/assets/plugins/sock/socket.io.js"></script>
				<script src="https://crypto.nexthon.com/assets/plugins/sock/ccc-streamer-utilities.js"></script>
				<script>
						var currency="AED";
						var coin="BTC";
						var totalCoins="16923575";
						var currencyRateWidget="3.673158";
					</script>
				<script src="https://crypto.nexthon.com/assets/plugins/sock/wStream.js?a=1521263629"></script>
				</body>
				</html>

				<?php
				exit;
			}
		}
	}
	
	new BESTBUG_CRYPTO_EMBED();
}

