// JavaScript Document
(function () {
	tinymce.PluginManager.add('realcrypto', function (editor, url) {

		editor.addButton('realcrypto', {
			text: '',
            id: 'realcrypto_shortcode',
			tooltip: 'Ultimate Crypto Widgets Shortcode',
			image: REALCRYPTO_ICON.REALCRYPTO_ICON,
			onclick: function () {
				// Open window
                var body = [
						{
							type: 'listbox',
							name: 'id',
							label: 'Ultimate Crypto Widgets',
							'values': REALCRYPTO_SHORTCODE,
						},
					];

				body = body.concat();

				editor.windowManager.open({
					title: 'Ultimate Crypto Widgets',
					body: body,
					onsubmit: function (e) {

						var id = e.data.id;

						editor.insertContent('[crypto_widgets id="'+id+'"]');
					}
				});
			}
		});
		
	});

})();
