<?php $this->sortform(); ?>
<?php 
	$layouts = array(
		'inline' => esc_html__( 'Inline', 'bestbug' ),
		'leaderboard' => esc_html__( 'Leaderboard', 'bestbug' ),
		'spark-charts' => esc_html__( 'Spark charts', 'bestbug' ),
		'table' => esc_html__( 'Table', 'bestbug' ),
		'comparison' => esc_html__( 'Comparison', 'bestbug' ),
		'ticker' => esc_html__( 'Ticker', 'bestbug' ),
		'chart' => esc_html__( 'Chart', 'bestbug' ),
		'box' => esc_html__( 'Box', 'bestbug' ),
		'convert' => esc_html__( 'Convert', 'bestbug' ),
	);
 ?>
<table class="wp-list-table widefat" id="rc-shortcode-table">
	<thead>
		<tr>
			<th width="100px"><?php esc_html_e('ID', 'bestbug') ?></th>
			<th><?php esc_html_e('Title', 'bestbug') ?></th>
			<th width="150px"><?php esc_html_e('Layout', 'bestbug') ?></th>
            <th width="250px"><?php esc_html_e('Shortcode generate', 'bestbug') ?></th>
			<th width="100px" style="text-align: center"><?php esc_html_e('Action', 'bestbug') ?></th>
		</tr>
	</thead>
	<tbody>
		<?php
			foreach ($this->shortcodes as $id => $shortcode) {
				$layout = get_post_meta($shortcode->ID, BESTBUG_CRYPTO_PREFIX . 'layout', true);
		?>
			<tr>
				<td><strong><?php echo esc_html($shortcode->ID) ?></strong></td>
				<td><?php echo esc_html($shortcode->post_title) ?></td>
				<td><?php if(isset($layouts[$layout])) echo esc_html($layouts[$layout]) ?>
                <td>
					<input style="min-width:190px;" disabled="disabled" type="text" name="" value='[<?php echo esc_attr(BESTBUG_CRYPTOCOMPARE_SHORTCODE) ?> id="<?php echo esc_html($shortcode->ID) ?>"]'>
                </td>
				<td style="text-align:right">
                    <a class="button success bbhelp--top" bbhelp-label="<?php esc_html_e('Edit', 'bestbug'); ?>" href="<?php echo admin_url('admin.php?page='.BESTBUG_CRYPTO_ADD_REALCRYPTO_SLUG.'&ID=' . $shortcode->ID) ?>">
						<span class="dashicons dashicons-edit"></span>
                    </a>
					<button class="bb-button-delete button danger bbhelp--top" bbhelp-label="<?php esc_html_e('Delete', 'bestbug'); ?>" data-id="<?php echo esc_html($shortcode->ID) ?>">
						<span class="dashicons dashicons-trash"></span></button>

				</td>
			</tr>
		<?php
			}
		?>
	</tbody>
</table>

<?php $this->sortform(); ?>
